[mythtv] [mythtv-commits] mythtv commit: r17160 - in trunk/mythtv/libs by danielk

Michael T. Dean mtdean at thirdcontact.com
Tue Apr 29 15:55:09 UTC 2008

On 04/29/2008 09:59 AM, Stuart Morgan wrote:
> On Tuesday 29 April 2008 14:48:18 Daniel Kristjansson wrote:
>>> I had a couple of questions about the changes in here.  The first one
>>> was regarding your change to DBUtil::GetTables() to remove the check for
>>> whether SHOW FULL TABLES is supported.  Are we going to also modify the
>>> minimum MySQL version to 5.0.2 (or, a more appropriate later
>>> version--like the first stable release of MySQL 5; I think Cardoe told
>>> me that was 5.0.15)?  I'll do a patch, but I was just wondering if it
>>> would be desired (and what minimum MySQL version seems most appropriate).
>> Hmm, I though we were already requiring 5.0.2, if not I'll revert that
>> part of the fix. I was just trying to avoid this needing to be an
>> instance method rather that a static function.
> We have been requiring MySQL 5.x since December last year, although the minor 
> version was never settled I doubt any distros were shipping versions prior to 
> 5.0.15 in their stable repositories.
> David was the one who made the official announcement on the 8th December, it 
> was formally agreed between the devs a couple of days before that.
> http://www.gossamer-threads.com/lists/mythtv/dev/304388

And it requires very little in terms of changes to specify a
major/minor/point version (it's either an extremely easy change or just
requires rearranging things a little--just need to do a quick test).  We
already have some pretty robust code in place to parse the MySQL server
version as well as a "way out" for those whose packagers changed it to
something unparsable/not useful (which is more likely to occur when
requiring recognizable major/minor/point versions).


More information about the mythtv-dev mailing list